Subject: Re: linux-next: Signed-off-by missing for commits in the scsi tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 9 Aug 2017 09:53:51 +1000

Hi James,

On Tue, 08 Aug 2017 16:41:36 -0700 James Bottomley <[email-masked]> wrote:
>
>  The rule, I believe, is that only the person who transforms the email
> to a git tree should be the last signoff in the commit log, even if
> they're a tree pulling into another one and thereafter the signoffs go
> in the merge commit, so the signoff sent by me in the signed tag when I
> send the main tree to Linus is my signoff for transmitting all the
> commits, which includes the rebased ones in this instance.

According to Linus:

"Rebasing really is pretty much the exact same thing as
applying a patch."

And so should have a Signed-off-by from the committer.

-- 
Cheers,
Stephen Rothwell